de.caff.generics.tuple

## Class ITuple6.Base<T1,T2,T3,T4,T5,T6>

- java.lang.Object
- - de.caff.generics.tuple.ITuple6.Base<T1,T2,T3,T4,T5,T6>

- Type Parameters:
    `T1` - type of first element
    `T2` - type of second element
    `T3` - type of third element
    `T4` - type of fourth element
    `T5` - type of fifth element
    `T6` - type of sixth element
  All Implemented Interfaces:
    ITuple6<T1,T2,T3,T4,T5,T6>
  Direct Known Subclasses:
    NTuple6, Tuple6
  Enclosing interface:
    ITuple6<T1,T2,T3,T4,T5,T6>

      public abstract static class ITuple6.Base<T1,T2,T3,T4,T5,T6>
      extends java.lang.Object
      implements ITuple6<T1,T2,T3,T4,T5,T6>

  Abstract base implementation of a 6-tuple. This provides standard implementations for `java.lang.Object` methods `equals()`, `hashCode()` and `toString()`. Therefore it is most useful if you implement a 6-tuple on the fly.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface de.caff.generics.tuple.ITuple6

      `ITuple6.Base<T1,T2,T3,T4,T5,T6>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Base()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ITuple6.Base<T1,T2,T3,T4,T5,T6>` | `asBase()` Convert this 6-tuple into a `base tuple` which provides useful implementations for standard methods.
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.caff.generics.tuple.ITuple6

      `_1, _12, _123, _1234, _12345, _12346, _1235, _12356, _1236, _124, _1245, _12456, _1246, _125, _1256, _126, _13, _132, _134, _1345, _13456, _1346, _135, _1356, _136, _14, _142, _143, _145, _1456, _146, _15, _152, _153, _154, _156, _16, _162, _163, _164, _165, _2, _21, _213, _214, _215, _216, _23, _231, _234, _2345, _23456, _2346, _235, _2356, _236, _24, _241, _243, _245, _2456, _246, _25, _251, _253, _254, _256, _26, _261, _263, _264, _265, _3, _31, _312, _314, _315, _316, _32, _321, _324, _325, _326, _34, _341, _342, _345, _3456, _346, _35, _351, _352, _354, _356, _36, _361, _362, _364, _365, _4, _41, _412, _413, _415, _416, _42, _421, _423, _425, _426, _43, _431, _432, _435, _436, _45, _451, _452, _453, _456, _46, _461, _462, _463, _465, _5, _51, _512, _513, _514, _516, _52, _521, _523, _524, _526, _53, _531, _532, _534, _536, _54, _541, _542, _543, _546, _56, _561, _562, _563, _564, _6, _61, _612, _613, _614, _615, _62, _621, _623, _624, _625, _63, _631, _632, _634, _635, _64, _641, _642, _643, _645, _65, _651, _652, _653, _654, concat1, concat2, concat3, concat4, concat5, concat6, concat7, concat8, concatPred1, concatPred2, concatPred3, concatPred4, concatPred5, concatPred6, concatPred7, concatPred8, concatProc1, concatProc2, concatProc3, concatProc4, concatProc5, concatProc6, concatProc7, concatProc8, equals, frozen, frozenNotNull, hash, invoke, sendTo, testBy, toString, toString, view`

- - ### Constructor Detail

    - #### Base

          public Base()

  - ### Method Detail

    - #### asBase

          @NotNull
          public ITuple6.Base<T1,T2,T3,T4,T5,T6> asBase()

      Description copied from interface: `ITuple6`
      Convert this 6-tuple into a `base tuple` which provides useful implementations for standard methods.
      Specified by:
        `asBase` in interface `ITuple6<T1,T2,T3,T4,T5,T6>`
      Returns:
        base view of this tuple

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`